body{
    margin:0;
    padding:0;
}

main{
    padding:16px
}

footer{
    font-size: large;
    font-weight: 600;
    margin-top: 20px;
    background-color:  #e83283;
    padding: 24px 20px;
}

img{
    height: 350px;
    width: 300px;
}

.content img{
    border-radius: 5%;
}



nav{
    font-size: 20px;
    padding-bottom: 15px;
    border-bottom: 1px solid black;
    background: orangered;
    padding: 10px;
}

nav a:visited{
    color: whitesmoke;
    text-decoration: none;
}

a:visited{
    text-decoration: none;
}

.content{
    display: grid; 
    grid-template-columns: 1fr 0.9fr 1.2fr; 
    grid-template-rows: 1fr 1fr 1fr;
    justify-items: center;
    align-items: center;
    grid-gap: 50px;
    margin-top:100px;
    max-height: 1200px;
}

.main-section{
    margin: 50px;
}

h1{
    color: rgb(255, 255, 255);
}


h3 a{
    color: green;
}

a:link, a:visited, a:hover, a:active{
    text-decoration: none;
}

nav a:hover{
    color: rgb(183, 255, 164);
}

.items tr:nth-child(even){
    background-color: #e83283;
    
}

.recipe{
    transition: all 2s;
    border-radius: 5px;
}

.recipe:hover{
  border-radius: 30;
  transform: scale(1.2);
}

.recipe-details img{
transition: all 1s;
}

.recipe-details img:hover{
    border-radius: 20%;
}

.table-details th{
    padding: 5px;
}

button {
    margin-top: 20px;
}

.main-form{
    margin: auto auto;
    max-width: 60%;
}
.main-form div{
    margin-top: 30px;
}

/* Style The Dropdown Button */
.dropbtn {
    background-color: #e83283;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropdown {
    position: relative;
    display: inline-block;
  }
  
  /* Dropdown Content (Hidden by Default) */
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  /* Links inside the dropdown */
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {background-color: #e83283}
  
  /* Show the dropdown menu on hover */
  .dropdown:hover .dropdown-content {
    display: block;
  }
  
.null{
    pointer-events: none;
}
